FreeMat

- Main Page
- Related Pages

vtkPReflectionFilter

Section: Visualization Toolkit Parallel Classes

# Usage

vtkPReflectionFilter is a parallel version of vtkReflectionFilter which takes into consideration the full dataset bounds for performing the reflection.

To create an instance of class vtkPReflectionFilter, simply invoke its constructor as follows

      obj = vtkPReflectionFilter

# Methods

The class vtkPReflectionFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPReflectionFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPReflectionFilter = obj.NewInstance ()`
- `vtkPReflectionFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetController (vtkMultiProcessController )` - Get/Set the parallel controller.
- `vtkMultiProcessController = obj.GetController ()` - Get/Set the parallel controller.